<?php 
// 投稿のIDを取得します。このIDは、具体的な使用状況に応じて適切に設定してください。
$post_id = get_the_ID();
$fix_link = get_post_meta($post_id, 'fix_link', true);
$fix_microcopy = get_post_meta($post_id,'fix_microcopy',true);
$cta_color = get_post_meta($post->ID,'cta_color',true);
$cta_layout = get_post_meta($post->ID,'cta_layout',true);
// 'fix_link'が入力されているかチェック
if (!empty($fix_link)) :?>

  <input id="fixed_close" type="checkbox" name="my_checkbox">
<div class="fixed_contents <?php echo $cta_color," ", $cta_layout;?>">


  <div class="footer_fixed">
  <label class="button" for="fixed_close">
<span class="close">
<span class="fa-solid fa-xmark"></span></span>  </label>

<span class="footer_micro">
	
<?php echo $fix_microcopy ;?>
</span>
<span class="footer_button">
 <?php echo do_shortcode($fix_link);?>
</span>
  </div>
</div>
<?php endif; ?>
<script>
  // チェックボックス要素を取得
  const checkbox = document.getElementById('fixed_close');

  // body_wrap要素を取得
  const bodyWrap = document.getElementById('container');

  // チェックボックスの状態が変更されたときに実行される関数
  function toggleBodyWrapClass() {
    if (checkbox.checked) {
      // チェックが入っている場合、クラスを追加
      bodyWrap.classList.remove('has_fixed_contents');
    } else {
      // チェックが入っていない場合、クラスを削除
      bodyWrap.classList.add('has_fixed_contents');
    }
  }

  // ページの読み込みが完了したら、現在のチェックボックスの状態に応じてクラスを適用
  window.addEventListener('DOMContentLoaded', toggleBodyWrapClass);

  // チェックボックスの状態が変更されたときに関数を実行
  checkbox.addEventListener('change', toggleBodyWrapClass);
</script>

